0 Replies Latest reply on Feb 17, 2014 5:16 AM by Ron.Stewart

    Installer for CF10 on OS X 10.9?

    Ron.Stewart

      I'm trying to set up a new development box and have bumped into a problem I'm hoping someone on the forums can help me get past. I am on a new install of OS X 10.9.1, and have Java 7 installed. Running "java -version" in a terminal returns the following:

       

      java version "1.7.0_51"

      Java(TM) SE Runtime Environment (build 1.7.0_51-b13)

      Java HotSpot(TM) 64-Bit Server VM (build 24.51-b03, mixed mode)

       

      I am hoping to install CF10 on stock Apache Tomcat 7 on this system. I have downloaded the developer edition of the CF10 installer, but when I run it, it opens a dialog with the message "To open "Adobe ColdFusion 10," you need a Java 6 SE runtime. Would you like to install one now?"

       

      Is there a version of the installer that will run against Java 7 so I can create the needed WAR file for deployment on Tomcat?

       

      Thanks for your help.

       

      Edited 2014-02-17: I've been able to get past this by creating the needed WAR on one of my older Mac systems where I still have the older Java 6 runtime around, but the question remains: is there an updated installer image that will run against a Java 7 runtime? What is one to do in terms of installing CF10 if all they have is a Java 7 runtime?

       

      --

      /ron